        .SPACE  $TEXT$,SPNUM=0,SORT=8
        .SUBSPA $LIT$,QUAD=0,ALIGN=8,ACCESS=44,SORT=16
        .SUBSPA $CODE$,QUAD=0,ALIGN=8,ACCESS=44,CODE_ONLY,SORT=24
        .EXPORT main,ENTRY,PRIV_LEV=3,ARGW0=GR,ARGW1=GR,RTNVAL=GR
	.import _mFargc,data
	.import _mFargv,data
        .import _mFgmain,code
        .IMPORT &mFNAME,CODE
	.IMPORT	$global$,DATA
main
        .PROC
        .CALLINFO CALLER,FRAME=0,SAVE_RP
        .ENTRY
        STW     %r2,-20(0,%r30)     ;offset 0x0
        LDO     64(%r30),%r30       ;offset 0x4
       ;
       ; call _mFgmain( entrypt )
       ;
	addil   lr'_mFargc-$global$,%r27,%r1
	stw     %r26,rr'_mFargc-$global$(%r1)
	addil   lr'_mFargv-$global$,%r27,%r1
	stw     %r25,rr'_mFargv-$global$(%r1)
	addil   lr'PL.&mFNAME-$global$,%r27,%r1
	.call   ARGW0=GR,ARGW1=GR,RTNVAL=GR 
	bl      _mFgmain,%r2
	ldw     rr'PL.&mFNAME-$global$(%r1),%r26
        .EXIT
	ldw     -64-20(%r30),%r2
	bv      0(%r2)
        LDO     -64(%r30),%r30      ;offset 0x48
        .PROCEND ;in=28,29;
	.space  $PRIVATE,SORT=16
	.subspa $DATA$,QUAD=1,ALIGN=8,ACCESS=0x1f,SORT=16
	.align  8
PL.&mFNAME
	.word	P'&mFNAME
	.END
